.operational-map
{
  height: 500px;
  overflow: auto;
  background: whitesmoke;
  border: 1px solid lightgray;
  border-radius: 5px;
}

.operational-map .abn-tree-animate-enter, li.abn-tree-row.ng-enter
{
  position: static;
}

.operational-map .abn-tree-animate-leave, li.abn-tree-row.ng-leave
{
  position: static;
}

.operational-map ul.nav.abn-tree .level-1 .indented
{
  position: static;
}
.operational-map ul.nav.abn-tree .level-2 .indented
{
  position: static;
}
.operational-map ul.nav.abn-tree .level-3 .indented
{
  position: static;
}
.operational-map  ul.nav.abn-tree .level-4 .indented
{
  position: static;
}
.operational-map ul.nav.abn-tree .level-5 .indented
{
  position: static;
}
.operational-map  ul.nav.abn-tree .level-6 .indented
{
  position: static;
}
.operational-map ul.nav.nav-list.abn-tree .level-7 .indented
{
  position: static;
}
.operational-map  ul.nav.nav-list.abn-tree .level-8 .indented
{
  position: static;
}
.operational-map ul.nav.nav-list.abn-tree .level-9 .indented
{
  position: static;
}

.operational-map ul.nav.abn-tree .level-1 a
{
  padding-left: 5px;
}
.operational-map ul.nav.abn-tree .level-2 a
{
  padding-left: 25px;
}
.operational-map ul.nav.abn-tree .level-3 a
{
  padding-left: 45px;
}
.operational-map ul.nav.abn-tree .level-4 a
{
  padding-left: 65px;
}
.operational-map ul.nav.abn-tree .level-5 a
{
  padding-left: 85px;
}
.operational-map ul.nav.abn-tree .level-6 a
{
  padding-left: 105px;
}
.operational-map ul.nav.nav-list.abn-tree .level-7 a
{
  padding-left: 125px;
}
.operational-map ul.nav.nav-list.abn-tree .level-8 a
{
  padding-left: 145px;
}
.operational-map ul.nav.nav-list.abn-tree .level-9 a
{
  padding-left: 165px;
}

form.map-position-form span.input-group-addon
{
  min-width: 165px;
  text-align: left;
}

.form-group .boolean-field
{
  width: 70px;
}

.btn-no-border
{
  border: 0px;
}

.uin-search-btn
{
  color: rgb(66, 139, 202);
  font-size: 13px;
}

.fa-spin-fast {
  -webkit-animation: fa-spin 1s infinite linear;
  -moz-animation: fa-spin 1s infinite linear;
  -o-animation: fa-spin 1s infinite linear;
  animation: fa-spin 1s infinite linear;
}

.deactivated-table-row {
    background-color: rgb(200, 200, 200);
}

.deactivated-table-row-light {
    background-color: rgb(230, 230, 230);
}

.deactivated-panel-body {
    opacity: 0.7;
}

table.table-with-vertically-centered-headers thead th {
    vertical-align: middle;
}

.centered-table-header thead tr th {
  vertical-align: middle;
  text-align: center;
}

.table-title {
  padding-top: 20px;
  max-width: 800px;
}

.report-result-spacing {
    margin-top: 30px;
}

tr.section-start td {
    font-weight: bold;
    background-color: #e6e6e6;
}

tr.sub-section-start td {
    font-weight: bold;
    background-color: #f2f2f2;
}

.pre-wrap-title {
    white-space: pre-wrap;
}

.preformatted {
    overflow-x: auto;
    white-space: pre-wrap;
    word-wrap: break-word;
}

.payment-requests-tree tr td:not(:first-child) {
  white-space: nowrap; 
  text-align: right;
}

.payment-requests-tree-lev1, .payment-requests-tree-footer {
  font-weight: bold;
}

.payment-requests-tree-lev2 {
  font-weight: normal;
}

.payment-requests-tree-lev3 {
  font-weight: lighter;
}

.payment-requests-tree-lev1 td:first-child {
  padding-left: 20px;
}

.payment-requests-tree-lev2 td:first-child {
  padding-left: 40px;
}

.payment-requests-tree-lev3 td:first-child {
  padding-left: 60px;
}

.import-loader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.8); /* Optional: Add a semi-transparent background */
  z-index: 9999; /* Ensure it is above other elements */
}

.import-loader {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  transform: translate(-50%, -50%);
}

.import-loader-text {
  margin-bottom: 20px;
  font-size: 18px;
  color: #1a1a1a;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* Additional Styles for projectsReport */
.projects-report-table thead th {
  text-align: center;
  vertical-align: middle;
}

.currency-cell {
  text-align: right;
  padding: 8px 2px;
  white-space: nowrap;
}
